import { HorizontalAnchoredCategorySeries } from "./HorizontalAnchoredCategorySeries";
import { SplineType } from "./SplineType";
import { SeriesView } from "./SeriesView";
import { AxisRange } from "./AxisRange";
import { Axis } from "./Axis";
import { Point, IList$1, Type } from "igniteui-react-core";
import { CategorySeriesView } from "./CategorySeriesView";
import { List$1 } from "igniteui-react-core";
import { Rect } from "igniteui-react-core";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { CollisionAvoider } from "./CollisionAvoider";
import { AnchoredCategorySeriesView } from "./AnchoredCategorySeriesView";
import { CategoryFrame } from "./CategoryFrame";
import { NumericAxisBase } from "./NumericAxisBase";
import { FastItemsSourceEventAction } from "igniteui-react-core";
import { ChartSelection } from "./ChartSelection";
import { SeriesSelectionBehavior } from "./SeriesSelectionBehavior";
/**
 * @hidden
 */
export declare abstract class SplineSeriesBase extends HorizontalAnchoredCategorySeries {
    static $t: Type;
    protected jk(): number;
    protected cs(): SeriesView;
    qz(a: SeriesView): void;
    r2(a: boolean): void;
    acx: SplineSeriesBaseView;
    acz: boolean;
    ay(a: Axis): AxisRange;
    protected get_ev(): boolean;
    acu(a: CategorySeriesView): number[][];
    acv(a: CategorySeriesView): number[][];
    protected acw: number[];
    ada(a: CategoryFrame, b: Rect, c: Rect, d: CategoryAxisBase, e: NumericAxisBase, f: CategorySeriesView): void;
    ac0(a: CategoryFrame, b: number[], c: CollisionAvoider, d: number, e: number, f: CategorySeriesView, g: number): boolean;
    an(a: CategoryAxisBase, b: List$1<number[]>, c: number, d: number, e: Point, f: boolean): number[][];
    aaf(a: CategoryFrame, b: CategorySeriesView): void;
    ac9(a: CategorySeriesView): void;
    private ac3;
    iv(a: number, b: IList$1<number>, c: number, d: number, e: number, f: number, g: number, h: boolean): number;
    ac4(a: CategoryAxisBase, b: Rect, c: Rect, d: Rect): number;
    private ac2;
    protected get ac6(): number;
    protected set ac6(a: number);
    private ac1;
    protected get ac5(): number;
    protected set ac5(a: number);
    acy: SplineType;
    protected adb(): void;
    protected q7(a: any, b: string, c: any, d: any): void;
    protected pb(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    p2(a: Rect, b: List$1<ChartSelection>, c: SeriesSelectionBehavior): void;
    ak(a: Rect, b: SeriesSelectionBehavior): ChartSelection[];
    get useHighMarkerFidelity(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class SplineSeriesBaseView extends AnchoredCategorySeriesView {
    static $t: Type;
    protected df: SplineSeriesBase;
    constructor(a: SplineSeriesBase);
    dg(): number;
    protected af(): void;
}
